Bug 1021069 - Doc: Add CDN IP address information to docs
Doc: Add CDN IP address information to docs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: Deon Ballard
John Sefler
: Documentation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-10-18 21:50 EDT by Deon Ballard
Modified: 2015-03-17 03:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-29 15:05:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 414963 None None None Never

  None (edit)
Description Deon Ballard 2013-10-18 21:50:40 EDT
Summary:
As covered in bug 721230, there are some customer issues related to location aware updates. The CDN cycles through different IP addresses, depending onthe geographical location of a system, all resolving to the hostname cdn.redhat.com. Some environments have firewall rules that block downloads.

The list of IP addresses should be in the RHSM docs for reference so that people can set the appropriate firewall rules.

References:
https://access.redhat.com/site/articles/414963
https://bugzilla.redhat.com/show_bug.cgi?id=721230
https://access.redhat.com/site/solutions/59586
https://access.redhat.com/site/solutions/53075
http://post-office.corp.redhat.com/archives/sbr-rhn-list/2011-July/msg00033.html
Comment 2 Adrian Likins 2014-02-25 13:39:23 EST
pr at https://github.com/candlepin/subscription-manager/pull/916

Adds:


"
NETWORK INFORMATION
       The  subscription-manager  tool uses outgoing HTTPS requests. In the default configuration it will use HTTPS on port 443 to the subscription servers subscription.rhn.redhat.com and  to  the  content  delivery  service cdn.redhat.com.

       For information about the network addresses that subscription-manager and the subscription-manager yum plug‐in use see https://access.redhat.com/site/articles/414963
"

To the subscription-manager man page.
Comment 3 Adrian Likins 2014-02-26 09:55:46 EST
in master:

commit c14c1553b46decfa7da6c2925f63d33e4f33d776
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Feb 25 13:34:50 2014 -0500

    1021069: Add reference to network usage info.
    
    Document the default server names and network ports
    used in the man page, and include a reference to the
    knowledge base article that documents the IP addresses
    and netblocks of the servers.
Comment 5 Deon Ballard 2014-02-26 13:25:49 EST
Adrian addressed this in the man page, but there should be either a part in the docs or a kbase with this information, as well. Changing back to assigned.
Comment 8 John Sefler 2014-03-06 10:21:39 EST
VERIFIED:  The subscription-manager man page addition in comment 2 is present in subscription-manager-1.10.14-4.el7
Comment 10 Xixi 2014-03-20 19:50:03 EDT
(In reply to Deon Ballard from comment #9)
> This is live in the docs here:
> https://access.redhat.com/site/documentation/en-US/
> Red_Hat_Subscription_Management/1/html/RHSM/location-aware.html
Thanks Deon!

Replaced the following IP list on Kbase Article https://access.redhat.com/site/articles/414963 with above link to official docs.

~~~
APPCIDRS
114.108.188.251/32
173.222.128.251/32
173.222.140.251/32
173.222.144.251/32
173.222.152.251/32
173.222.188.251/32
173.222.192.251/32
173.222.212.251/32
173.222.216.251/32
173.222.244.251/32
173.223.132.251/32
173.223.144.251/32
173.223.148.251/32
173.223.152.251/32
173.223.156.251/32
173.223.160.251/32
173.223.164.251/32
173.223.168.251/32
173.223.172.251/32
173.223.228.251/32
182.51.200.251/32
184.51.120.251/32
184.51.140.251/32
184.51.144.251/32
184.51.24.251/32
184.51.36.251/32
184.84.176.251/32
184.84.188.251/32
184.84.192.251/32
72.247.112.251/32
72.247.116.251/32
95.101.100.251/32
95.101.104.251/32
95.101.108.251/32
95.101.144.251/32
95.101.152.251/32
95.101.156.251/32
95.101.160.251/32
95.101.4.251/32
95.101.44.251/32
95.101.48.251/32
95.101.56.251/32
95.101.64.251/32
95.101.76.251/32
95.101.84.251/32
95.101.96.251/32
96.17.184.251/32
~~~
Comment 12 Bryan Kearney 2014-09-29 15:05:33 EDT
These bugs were fixed during 7.0 but not moved to CLOSED. They have been delivered

Note You need to log in before you can comment on or make changes to this bug.